Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1812210 - kube-apiserver creates two connections to etcd on localhost
Summary: kube-apiserver creates two connections to etcd on localhost
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Luis Sanchez
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On: 1810712
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-10 18:55 UTC by Luis Sanchez
Modified: 2020-05-13 22:01 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1810712
Environment:
Last Closed: 2020-05-13 22:01:09 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 792 0 None open [release-4.4] Bug 1812210: use localhost name instead of localhost IPs 2020-03-10 18:57:55 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 22:01:10 UTC

Comment 3 Ke Wang 2020-03-13 10:31:17 UTC
Verified with OCP 4.4.0-0.nightly-2020-03-12-233620,

$ oc get kubeapiserver/cluster -o json | jq .spec.observedConfig.storageConfig
{
  "urls": [
    "https://192.168.0.13:2379",
    "https://192.168.0.14:2379",
    "https://192.168.0.15:2379",
    "https://localhost:2379"
  ]
}

There should not has the ipv6 endpoint  "https://[::1]:2379".

Comment 5 errata-xmlrpc 2020-05-13 22:01:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.